{
    "pairs": {
        "bitmex_testnet": {
            "XBT-USD": {
                "strategy": "MM",
                "enabled": true,
                "override": {
                    "INITIAL_CAPITAL": 0.01,
                    "CAPITAL_RISK": 0.1,
                    "REDUCING_RATIO": 8,
                    "INVESTED_PERC": 0.1,
                    "MAX_LOSS": 9999,
                    "SR_INVESTED_PERC": 0.1,
                    "SR_RATIO": 1,
                    "TRADING_LIMIT": 4,
                    "ROE": 40,
                    "MAX_OPEN_CONTRACTS": 12000,
                    "STOP_LIMIT": 99999,
                    "SR_LIMIT_LONG": 1,
                    "SR_LIMIT_SHORT": 1,
                    "MAX_BUY": 0,
                    "MAX_SELL": 0,
                    "ROE_TRAILING": true,
                    "ROE_LIMIT": 10,
                    "FLIP": true,
                    "PRE_ORDER": false,
                    "PRE_ORDER_GAP": -0.03,
                    "REBATES_BUSTER": false,
                    "MARKET_CLOSE": true,
                    "MAKER_FEES": false
                }
            }
        }
    },
    "strategies": {
        "MM": {
            "IS_MARGIN_STRAT": true,
            "KUMO_BUY": false,
            "KIJUN_BUY": false,
            "TENKAN_BUY": true,
            "KUMO_SELL": false,
            "TENKAN_SELL": true,
            "KIJUN_SELL": false,
            "ROE_CLOSE": false,
            "ROE_TRAILING": false,
            "ROE_LIMIT": 0,
            "PRE_ORDER": false,
            "PRE_ORDER_GAP": -0.03,
            "MAKER_FEES": false,
            "MEAN_REVERSION": false,
            "MARKET_BUY": false,
            "MARKET_SELL": false,
            "MARKET_CLOSE": false,
            "MARKET_STOP": false,
            "MARKET_RTBUY": false,
            "MARKET_RTSELL": false,
            "MARKET_BUYBACK": false,
            "MARKET_DU": false,
            "MARKET_FOK": false,
            "USE_RENKO": false,
            "SHORT_LEVEL": 0,
            "LONG_LEVEL": 0,
            "ROE": 20,
            "TENKAN_CLOSE": true,
            "KUMO_CLOSE": false,
            "KIJUN_CLOSE": false,
            "TENKAN_STOP": false,
            "KUMO_STOP": true,
            "KIJUN_STOP": false,
            "RENKO_PERIOD": 15,
            "RENKO_BRICK_SIZE": 0.0001,
            "RENKO_ATR": false,
            "LEVERAGE": 0,
            "ICHIMOKU_PROTECTION": true,
            "XTREND_ENABLED": false,
            "NBA": 0,
            "DOUBLE_CHECK_GAIN": false,
            "DISPLACEMENT": 26,
            "RT_BUY_UP_LEVEL": 0,
            "SL_DISABLE_BUY": false,
            "COUNT_SELL": 9999,
            "BTC_PND_PERIOD": 14,
            "STOCHRSI_ENABLED": false,
            "STOCHRSI_LENGTH": 14,
            "STOCHRSI_BUY_LEVEL": 0.2,
            "STOCHRSI_SELL_LEVEL": 0.8,
            "STOCHRSI_METHOD": "oscillator",
            "RT_ONCE": false,
            "RT_ONCE_AND_CONTINUE": false,
            "TP_PROFIT_ONLY": true,
            "TAKE_BUY": false,
            "TBUY_RANGE": 0.5,
            "TENKAN_PERIOD": 9,
            "KIJUN_PERIOD": 26,
            "SENKOUSPAN_PERIOD": 52,
            "KEEP_QUOTE": 0,
            "TL_PERC": 0,
            "TL_ALLIN": false,
            "TAKE_PROFIT": false,
            "TP_RANGE": 0.5,
            "EMAx": 0.5,
            "PP_BUY": 0,
            "PP_SELL": 99999,
            "BUYLVL": 1,
            "BUYLVL1": 0.6,
            "BUYLVL2": 2,
            "BUYLVL3": 70,
            "SELLLVL": 1,
            "SELLLVL1": 0.6,
            "SELLLVL2": 2,
            "SELLLVL3": 70,
            "ATRX": 0.5,
            "ATR_PERIOD": 14,
            "RSI_METHOD": "oscillator",
            "STOCH_METHOD": "oscillator",
            "KUMO_SENTIMENTS": true,
            "CANDLES_LENGTH": 500,
            "EMA_LENGTH": 50,
            "MFI_LENGTH": 14,
            "RT_SELL_UP": 0.3,
            "RT_TREND_ENABLED": false,
            "RT_BUY_LEVEL": 2,
            "RT_GAIN": 1.5,
            "BUY_METHOD": "Market_Maker",
            "BUY_ENABLED": true,
            "BUY_LEVEL": 1,
            "BUY_RANGE": 0.5,
            "SELL_METHOD": "Market_Maker",
            "SELL_ENABLED": true,
            "GAIN": 0.5,
            "SELL_RANGE": 0.5,
            "TSSL_TARGET_ONLY": true,
            "TRADING_FEES": 0.25,
            "TRADING_LIMIT": 10,
            "FUNDS_RESERVE": 0.0002,
            "PERIOD": 15,
            "EMA1": 24,
            "EMA2": 12,
            "HIGH_BB": 0,
            "LOW_BB": 0,
            "STDV": 2,
            "SMAPERIOD": 50,
            "SLOW_SMA": 4,
            "FAST_SMA": 2,
            "MACD_SHORT": 5,
            "MACD_LONG": 20,
            "MACD_SIGNAL": 10,
            "STOCH_ENABLED": false,
            "STOCH_BUY_LEVEL": 20,
            "STOCH_SELL_LEVEL": 80,
            "STOCH_K": 14,
            "SLOW_STOCH_K": 3,
            "STOCH_D": 3,
            "DI_PERIOD": 14,
            "EMASPREAD": false,
            "ADX_LEVEL": 25,
            "ADX_ENABLED": false,
            "RSI_BUY_ENABLED": false,
            "RSI_SELL_ENABLED": false,
            "RSI_BUY_LEVEL": 30,
            "RSI_SELL_LEVEL": 70,
            "RSI_LENGTH": 7,
            "MFI_ENABLED": false,
            "MFI_SELL_LEVEL": 70,
            "MFI_BUY_LEVEL": 30,
            "BTC_PND_PROTECTION": false,
            "BTC_MONEY_FLOW": 35,
            "DOUBLE_UP": false,
            "DOUBLE_UP_CAP": 1,
            "DU_CAP_COUNT": 0,
            "DU_METHOD": "HIGHBB",
            "RSI_DU_BUY": 30,
            "RT_ENABLED": false,
            "RT_MAXBAG_PROTECTION": 10,
            "DU_BUYDOWN": 2,
            "TRAIL_ME_BUY": false,
            "TRAIL_ME_SELL": false,
            "TRAIL_ME_RT_SELL_RANGE": 0.5,
            "TM_RT_SELL": false,
            "TRAIL_ME_RT": false,
            "TRAIL_ME_DU": false,
            "TRAIL_ME_SELL_RANGE": 0.5,
            "TRAIL_ME_BUY_RANGE": 0.5,
            "PANIC_SELL": false,
            "STOP_LIMIT": 60,
            "MIN_VOLUME_TO_BUY": 1,
            "MIN_VOLUME_TO_SELL": 1,
            "TRADES_TIMEOUT": 0,
            "IGNORE_TRADES_BEFORE": 0,
            "PSAR_PERIOD": 1440,
            "PSAR_MAX": 0.2,
            "PSAR_STEP": 0.02
        }
    },
    "bot": {
        "debug": false,
        "BOT_DELAY": 3,
        "BOT_CCLEAN": 999,
        "CANCEL_ORDERS_ENABLED": false,
        "RESERVE_PILE_UP": false,
        "interval_ticker_update": 120000,
        "period_storage_ticker": 2000,
        "timeout_buy": 0,
        "timeout_sell": 0,
        "TV_GAIN": 0.6,
        "TV_TRADING_LIMIT_BUY": 0.0004,
        "TV_PYRAMID": false,
        "TV_TRADING_LIMIT_SELL": 0.001,
        "TV_PROTECTION": false,
        "TV_TRADING_LIMIT_CAP": 0.005,
        "TV_STOPLOSS_PERCENTAGE": 60,
        "VERBOSE": false,
        "WATCH_MODE": false,
        "PYRAMID_BUY": false,
        "withdraw_address": "YOURBTCADDRESSHERE",
        "withdraw_threshold": 0.5,
        "TELEGRAM_ENABLED": false,
        "TG_AUTOCONFIG": false,
        "TELEGRAM_NICK": "YOURTGNICKHERE",
        "CANCEL_ORDERS_CYCLE_CAP": 60,
        "BEST_CURRENCIES": false,
        "MINIMUM_VOLUME_GOOD_CURRENCY": 300000000,
        "MINIMUM_VARIATION_SUGGEST_TRADE": 0.1,
        "RETRY_TV_ORDER": false,
        "TV_TRADING_LIMIT_BUY_PYRAMID": 0.00055,
        "TV_TRADING_LIMIT_ALLIN": false,
        "GUI": false,
        "TV_MVTS": 0.0001,
        "TG_TEST": false,
        "TG_ORDER_TIMEOUT": 0,
        "json_output": "./json",
        "TG_PL_ONLY": false,
        "TV_GB": false,
        "MULTIPLE_BASE": false,
        "gunthy_wallet": "YOURGUNTHYWALLET",
        "UTA_MM_ENABLED": false,
        "UTA_ENABLED": false,
        "TOKEN": "TGTOKENforTrades",
        "BR_TOKEN": "TGTOKENforAutoConfig",
        "chat_id": 123456,
        "admin_id": 123456,
        "OLD_TELEGRAM": false
    },
    "AutoConfig": {
        "enabled": true
    },
    "Signals": {
        "enabled": false
    },
    "api": {
        "enabled": false,
        "start": false,
        "debug": false,
        "https": false,
        "port": 8080,
        "key": "",
        "cert": "",
        "allowedIPs": ""
    },
    "GUI": {
        "enabled": true,
        "start": true,
        "port": 3001,
        "https": false,
        "key": "localhost.key",
        "cert": "localhost.crt",
        "networktraffic": false,
        "authentication": {
            "login": true,
            "twoFA": false
        },
        "notifications": {
            "trade": false,
            "callback": false,
            "error": false
        }
    },
    "ws": {
        "port": 5590,
        "clientport": 3001,
        "hostname": "127.0.0.1"
    },
    "exchanges": {
        "bitmex_testnet": {
            "key": "",
            "secret": "",
            "masterkey": "",
            "mastersecret": "",
            "type": "bitmex_testnet",
            "delay": 8,
            "TRADING_FEES": 0.075
        }
    },
    "imap_listener": {
        "enabled": false,
        "authorized_froms": "[\"noreply@tradingview.com\"]",
        "user": "YOUREMAIL",
        "password": "YOURPASSWORD",
        "host": "imap.gmail.com",
        "port": 993,
        "tls": true,
        "tlsOptions": {
            "rejectUnauthorized": false
        }
    }
}